Bug 801202 - Novaclient tries to create director at $HOME/.novaclient, upsets horizon
Summary: Novaclient tries to create director at $HOME/.novaclient, upsets horizon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-novaclient
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-07 22:37 UTC by Cole Robinson
Modified: 2016-01-04 14:43 UTC (History)
5 users (show)

Fixed In Version: python-novaclient-2012.1-0.4.rc1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 02:56:48 UTC


Attachments (Terms of Use)
check isatty() before writing to $HOME (794 bytes, patch)
2012-03-07 23:15 UTC, Pádraig Brady
no flags Details | Diff

Description Cole Robinson 2012-03-07 22:37:20 UTC
python-novaclient-2012.1-0.2.e4.fc18.noarch

Novaclient tries to create director at $HOME/.novaclient. For horizon this is /var/www apparently, and causes an error. This directory is created for shell bash completion apparently.

User can work around it by manually creating that directory, but obviously we shouldn't have to do that.

Comment 1 Pádraig Brady 2012-03-07 23:15:32 UTC
Created attachment 568451 [details]
check isatty() before writing to $HOME

Comment 2 Pádraig Brady 2012-03-07 23:17:15 UTC
I wonder could the horizon init scripts do something like

  export NOVACLIENT_UUID_CACHE_DIR=/var/run/horizon/novaclient/

Though I agree that this is an optional feature that shouldn't cause a failure.
I wonder could the patch in comment #1 suffice?

Comment 3 Cole Robinson 2012-03-08 13:22:42 UTC
Assume the code comment about bash completion is correct, I'd think the right thing to do would move that init bit to the shell tool only, and API users shouldn't need to care about it. I haven't dug into the code much though.

Comment 4 Pádraig Brady 2012-03-21 13:01:05 UTC
Upstream change to just ignore the issue
https://review.openstack.org/#change,5608

Comment 5 Alan Pevec 2012-03-22 10:43:09 UTC
So are we taking this upstream hack?

Comment 6 Pádraig Brady 2012-03-22 11:02:29 UTC
Yes it's not perfect but should avoid the issue.
Given the impact this has on horizon, I'll do a new rc1 update presently

Comment 7 Fedora Update System 2012-03-22 12:00:45 UTC
python-novaclient-2012.1-0.4.rc1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-novaclient-2012.1-0.4.rc1.fc17

Comment 8 Fedora Update System 2012-03-23 00:39:29 UTC
Package python-novaclient-2012.1-0.4.rc1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-novaclient-2012.1-0.4.rc1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4444/python-novaclient-2012.1-0.4.rc1.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-04-12 02:56:48 UTC
python-novaclient-2012.1-0.4.rc1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.